import { h, defineComponent } from 'vue';
export default defineComponent({
    name: 'NBaseSelectGroupHeader',
    props: {
        clsPrefix: {
            type: String,
            required: true
        },
        tmNode: {
            type: Object,
            required: true
        }
    },
    render() {
        const { clsPrefix, tmNode: { rawNode } } = this;
        const children = rawNode.render
            ? [rawNode.render(rawNode)]
            : [rawNode.label || rawNode.name];
        return h("div", { class: `${clsPrefix}-base-select-group-header` }, children);
    }
});
