import { inject, computed } from 'vue';
import { configProviderInjectionKey } from '../config-provider/src/ConfigProvider';
import { warn } from '../_utils';
export default function useHljs(props) {
    const NConfigProvider = inject(configProviderInjectionKey, null);
    if (process.env.NODE_ENV !== 'production' && !props.hljs && !(NConfigProvider === null || NConfigProvider === void 0 ? void 0 : NConfigProvider.mergedHljsRef.value)) {
        warn('code', 'hljs is not set.');
    }
    return computed(() => {
        return props.hljs || (NConfigProvider === null || NConfigProvider === void 0 ? void 0 : NConfigProvider.mergedHljsRef.value);
    });
}
