import { h, defineComponent, inject } from 'vue';
import { warn } from '../../_utils';
import { breadcrumbInjectionKey } from './Breadcrumb';
const breadcrumbItemProps = {
    separator: String
};
export default defineComponent({
    name: 'BreadcrumbItem',
    props: breadcrumbItemProps,
    setup(props, { slots }) {
        const NBreadcrumb = inject(breadcrumbInjectionKey, null);
        if (!NBreadcrumb) {
            if (process.env.NODE_ENV !== 'production') {
                warn('breadcrumb', '`n-breadcrumb-item` must be placed inside `n-breadcrumb`.');
            }
            return () => null;
        }
        const { separatorRef, mergedClsPrefixRef } = NBreadcrumb;
        return () => {
            var _a;
            const { value: mergedClsPrefix } = mergedClsPrefixRef;
            return (h("span", { class: `${mergedClsPrefix}-breadcrumb-item` },
                h("span", { class: `${mergedClsPrefix}-breadcrumb-item__link` }, slots),
                h("span", { class: `${mergedClsPrefix}-breadcrumb-item__separator` }, slots.separator
                    ? slots.separator()
                    : (_a = props.separator) !== null && _a !== void 0 ? _a : separatorRef.value)));
        };
    }
});
