import type { Option, OptionValue, Filter, CheckedStatus } from './interface';
interface UseTransferDataProps {
    defaultValue: OptionValue[] | null;
    value?: OptionValue[] | null;
    options: Option[];
    filterable: boolean;
    disabled: boolean;
    filter: Filter;
}
export declare function useTransferData(props: UseTransferDataProps): {
    uncontrolledValue: import("vue").Ref<OptionValue[] | null>;
    mergedValue: import("vue").ComputedRef<OptionValue[] | null>;
    avlSrcValueSet: import("vue").ComputedRef<Set<OptionValue>>;
    avlTgtValueSet: import("vue").ComputedRef<Set<any>>;
    tgtOpts: import("vue").ComputedRef<any[]>;
    srcOpts: import("vue").ComputedRef<Option[]>;
    filteredSrcOpts: import("vue").ComputedRef<Option[]>;
    filteredTgtOpts: import("vue").ComputedRef<any[]>;
    srcCheckedValues: import("vue").Ref<OptionValue[]>;
    tgtCheckedValues: import("vue").Ref<OptionValue[]>;
    srcCheckedStatus: import("vue").ComputedRef<CheckedStatus>;
    tgtCheckedStatus: import("vue").ComputedRef<{
        checked: boolean;
        indeterminate: boolean;
        disabled: boolean;
    } | {
        checked: boolean;
        indeterminate: boolean;
        disabled?: undefined;
    }>;
    srcPattern: import("vue").Ref<string>;
    tgtPattern: import("vue").Ref<string>;
    isInputing: import("vue").Ref<boolean>;
    fromButtonDisabled: import("vue").ComputedRef<boolean>;
    toButtonDisabled: import("vue").ComputedRef<boolean>;
    handleInputFocus: () => void;
    handleInputBlur: () => void;
    handleTgtFilterUpdateValue: (value: string | null) => void;
    handleSrcFilterUpdateValue: (value: string | null) => void;
};
export {};
