"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lightStyleScheme = {
    primaryColor: '#18a058',
    primaryHoverColor: '#36ad6a',
    primaryActiveColor: '#0c7a43',
    infoColor: '#2080f0',
    infoHoverColor: '#4098fc',
    infoActiveColor: '#1060c9',
    successColor: '#18a058',
    successHoverColor: '#36ad6a',
    successActiveColor: '#0c7a43',
    errorColor: '#d03050',
    errorHoverColor: '#de576d',
    errorActiveColor: '#ab1f3f',
    warningColor: '#f0a020',
    warningHoverColor: '#fcb040',
    warningActiveColor: '#c97c10',
    primaryTextColor: '#2e2e2e',
    secondaryTextColor: '#474747',
    tertiaryTextColor: '#9e9e9e',
    quaternaryTextColor: '#c2c2c2',
    primaryTextOverlayColor: 'rgba(0, 0, 0, .82)',
    secondaryTextOverlayColor: 'rgba(0, 0, 0, .72)',
    tertiaryTextOverlayColor: 'rgba(0, 0, 0, .38)',
    quaternaryTextOverlayColor: 'rgba(0, 0, 0, .24)',
    baseBackgroundColor: '#FFF',
    popoverBackgroundColor: '#FFF',
    modalBackgroundColor: '#FFF',
    cardBackgroundColor: '#FFF',
    bodyBackgroundColor: '#f8f8f8',
    closeColor: '#9e9e9e',
    closeOverlayColor: 'rgba(0, 0, 0, .38)',
    dividerColor: '#ebebeb',
    dividerOverlayColor: 'rgba(0, 0, 0, .08)',
    borderColor: '#dbdbdb',
    borderOverlayColor: 'rgba(0, 0, 0, .14)',
    easeInOutCubicBezier: 'cubic-bezier(.4, 0, .2, 1)',
    tableHeaderOverlayBackgroundColor: 'rgba(0, 0, 0, .02)',
    inputOverlayBackgroundColor: null
};
const darkStyleScheme = {
    primaryColor: '#63e2b7',
    primaryHoverColor: '#7fe7c4',
    primaryActiveColor: '#5acea7',
    infoColor: '#70C0E8',
    infoHoverColor: '#8acbec',
    infoActiveColor: '#66afd3',
    successColor: '#64e3b8',
    successHoverColor: '#7ee7c4',
    successActiveColor: '#5acea7',
    errorColor: '#e88080',
    errorHoverColor: '#e98b8b',
    errorActiveColor: '#e57272',
    warningColor: '#f2c97d',
    warningHoverColor: '#f5d599',
    warningActiveColor: '#e6c260',
    primaryTextColor: '#e6e6e6',
    secondaryTextColor: '#d1d1d1',
    tertiaryTextColor: '#858585',
    quaternaryTextColor: '#616161',
    primaryTextOverlayColor: 'rgba(255, 255, 255, .9)',
    secondaryTextOverlayColor: 'rgba(255, 255, 255, .82)',
    tertiaryTextOverlayColor: 'rgba(255, 255, 255, .52)',
    quaternaryTextOverlayColor: 'rgba(255, 255, 255, .38)',
    baseBackgroundColor: '#000',
    popoverBackgroundColor: '#48484e',
    modalBackgroundColor: '#2c2c32',
    cardBackgroundColor: '#18181c',
    bodyBackgroundColor: '#101014',
    closeColor: '#858585',
    closeOverlayColor: 'rgba(255, 255, 255, .52)',
    dividerColor: '#171717',
    dividerOverlayColor: 'rgba(255, 255, 255, .09)',
    borderColor: '#3d3d3d',
    borderOverlayColor: 'rgba(255, 255, 255, .24)',
    easeInOutCubicBezier: 'cubic-bezier(.4, 0, .2, 1)',
    tableHeaderOverlayBackgroundColor: 'rgba(255, 255, 255, .06)',
    inputOverlayBackgroundColor: 'rgba(255, 255, 255, .1)'
};
exports.default = {
    light: lightStyleScheme,
    dark: darkStyleScheme
};
