"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

const cssr_1 = require("../../_utils/cssr");

const _common_1 = require("../common/_common"); // All the components need the style
// It is static and won't be changed in the app's lifetime
// If user want to overrides it they need to use `n-global-style` is provided
//
// Technically we can remove font-size & font-family & line-height to make
// it pure. However the coding cost doesn't worth it.


exports.default = cssr_1.c('body', `
 margin: 0;
 font-size: ${_common_1.default.fontSize};
 font-family: ${_common_1.default.fontFamily};
 line-height: ${_common_1.default.lineHeight};
 -webkit-text-size-adjust: 100%;
`, [cssr_1.c('input', `
 font-family: inherit;
 font-size: inherit;
 `)]);