"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

const cssr_1 = require("../../_utils/cssr");

const _common_1 = require("../common/_common");

function default_1({
  originalTransform = '',
  left = 0,
  top = 0,
  transition = `all .3s ${_common_1.default.cubicBezierEaseInOut} !important`
} = {}) {
  return [cssr_1.c('&.icon-switch-transition-enter-from, &.icon-switch-transition-leave-to', {
    transform: originalTransform + ' scale(0.75)',
    left,
    top,
    opacity: 0
  }), cssr_1.c('&.icon-switch-transition-enter-to, &.icon-switch-transition-leave-from', {
    transform: `${_common_1.default.transformDebounceScale} ${originalTransform}`,
    left,
    top,
    opacity: 1
  }), cssr_1.c('&.icon-switch-transition-enter-active, &.icon-switch-transition-leave-active', {
    transformOrigin: 'center',
    position: 'absolute',
    left,
    top,
    transition
  })];
}

exports.default = default_1;