"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../../_utils");
const Breadcrumb_1 = require("./Breadcrumb");
const breadcrumbItemProps = {
    separator: String
};
exports.default = vue_1.defineComponent({
    name: 'BreadcrumbItem',
    props: breadcrumbItemProps,
    setup(props, { slots }) {
        const NBreadcrumb = vue_1.inject(Breadcrumb_1.breadcrumbInjectionKey, null);
        if (!NBreadcrumb) {
            if (process.env.NODE_ENV !== 'production') {
                _utils_1.warn('breadcrumb', '`n-breadcrumb-item` must be placed inside `n-breadcrumb`.');
            }
            return () => null;
        }
        const { separatorRef, mergedClsPrefixRef } = NBreadcrumb;
        return () => {
            var _a;
            const { value: mergedClsPrefix } = mergedClsPrefixRef;
            return (vue_1.h("span", { class: `${mergedClsPrefix}-breadcrumb-item` },
                vue_1.h("span", { class: `${mergedClsPrefix}-breadcrumb-item__link` }, slots),
                vue_1.h("span", { class: `${mergedClsPrefix}-breadcrumb-item__separator` }, slots.separator
                    ? slots.separator()
                    : (_a = props.separator) !== null && _a !== void 0 ? _a : separatorRef.value)));
        };
    }
});
