"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.self = void 0;
const seemly_1 = require("seemly");
const common_1 = require("../../_styles/common");
const _common_1 = require("./_common");
const _mixins_1 = require("../../_mixins");
const styles_1 = require("../../button/styles");
const self = (vars) => {
    const { borderRadius, fontSize, lineHeight, textColor2, textColor1, textColorDisabled, dividerColor, fontWeightStrong, primaryColor, baseColor, hoverColor, cardColor, modalColor, popoverColor } = vars;
    return Object.assign(Object.assign({}, _common_1.default), { borderRadius, borderColor: seemly_1.composite(cardColor, dividerColor), borderColorModal: seemly_1.composite(modalColor, dividerColor), borderColorPopover: seemly_1.composite(popoverColor, dividerColor), textColor: textColor2, titleFontWeight: fontWeightStrong, titleTextColor: textColor1, dayTextColor: textColorDisabled, fontSize,
        lineHeight, dateColorCurrent: primaryColor, dateTextColorCurrent: baseColor, cellColorHover: seemly_1.composite(cardColor, hoverColor), cellColorHoverModal: seemly_1.composite(modalColor, hoverColor), cellColorHoverPopover: seemly_1.composite(popoverColor, hoverColor), cellColor: cardColor, cellColorModal: modalColor, cellColorPopover: popoverColor, barColor: primaryColor });
};
exports.self = self;
const calendarLight = _mixins_1.createTheme({
    name: 'Calendar',
    common: common_1.commonLight,
    peers: {
        Button: styles_1.buttonLight
    },
    self: exports.self
});
exports.default = calendarLight;
