"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeAlpha = exports.normalizeHue = exports.floor = exports.getModeFromValue = void 0;
function getModeFromValue(color) {
    if (color === null)
        return null;
    if (/^ *#/.test(color))
        return 'hex';
    if (color.includes('rgb'))
        return 'rgb';
    if (color.includes('hsl'))
        return 'hsl';
    if (color.includes('hsv'))
        return 'hsv';
    return null;
}
exports.getModeFromValue = getModeFromValue;
function floor(color) {
    return color.map((channel) => Math.floor(channel));
}
exports.floor = floor;
function normalizeHue(hue) {
    hue = Math.round(hue);
    return hue >= 360 ? 359 : hue < 0 ? 0 : hue;
}
exports.normalizeHue = normalizeHue;
function normalizeAlpha(alpha) {
    alpha = Math.round(alpha * 100) / 100;
    return alpha > 1 ? 1 : alpha < 0 ? 0 : alpha;
}
exports.normalizeAlpha = normalizeAlpha;
