"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const style_scheme_1 = require("../../_deprecated/style-scheme");
function useLegacy(NConfigProvider, props) {
    if (NConfigProvider && props) {
        vue_1.watch(NConfigProvider.mergedLanguageRef, (value, oldValue) => {
            const { onLanguageChange } = props;
            if (onLanguageChange)
                onLanguageChange(value, oldValue);
        });
    }
    return {
        legacyTheme: vue_1.computed(() => {
            return (NConfigProvider === null || NConfigProvider === void 0 ? void 0 : NConfigProvider.mergedLegacyThemeRef.value) || 'light';
        }),
        legacyLanguage: vue_1.computed(() => {
            return NConfigProvider
                ? NConfigProvider.mergedLanguageRef.value
                : undefined;
        }),
        legacyThemeEnvironment: vue_1.computed(() => {
            var _a, _b;
            return ((_b = (_a = NConfigProvider === null || NConfigProvider === void 0 ? void 0 : NConfigProvider.mergedThemeEnvironmentsRef.value) === null || _a === void 0 ? void 0 : _a[NConfigProvider.mergedLegacyThemeRef.value || 'light']) !== null && _b !== void 0 ? _b : null);
        }),
        legacyStyleScheme: vue_1.computed(() => {
            return style_scheme_1.default[(NConfigProvider === null || NConfigProvider === void 0 ? void 0 : NConfigProvider.mergedLegacyThemeRef.value) || 'light'];
        })
    };
}
exports.default = useLegacy;
