"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../../_utils");
const DropdownOption_1 = require("./DropdownOption");
const DropdownDivider_1 = require("./DropdownDivider");
const DropdownGroupHeader_1 = require("./DropdownGroupHeader");
const utils_1 = require("./utils");
exports.default = vue_1.defineComponent({
    name: 'NDropdownGroup',
    props: {
        clsPrefix: {
            type: String,
            required: true
        },
        tmNode: {
            type: Object,
            required: true
        },
        parentKey: {
            type: [String, Number],
            default: null
        }
    },
    render() {
        const { tmNode, parentKey, clsPrefix } = this;
        const { children } = tmNode;
        return (vue_1.h(vue_1.Fragment, null,
            vue_1.h(DropdownGroupHeader_1.default, { clsPrefix: clsPrefix, tmNode: tmNode, key: tmNode.key }), children === null || children === void 0 ? void 0 :
            children.map((child) => {
                if (utils_1.isDividerNode(child.rawNode)) {
                    return vue_1.h(DropdownDivider_1.default, {
                        clsPrefix,
                        key: child.key
                    });
                }
                if (utils_1.isGroupNode(child.rawNode)) {
                    _utils_1.warn('dropdown', '`group` node is allowed to be put in `group` node.');
                    return null;
                }
                return (vue_1.h(DropdownOption_1.default, { clsPrefix: clsPrefix, tmNode: child, parentKey: parentKey, key: child.key }));
            })));
    }
});
