"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const Row_1 = require("../../legacy-grid/src/Row");
const _utils_1 = require("../../_utils");
const FormItemCol_1 = require("./FormItemCol");
const formItemRowProps = Object.assign(Object.assign({}, Row_1.rowProps), FormItemCol_1.formItemColProps);
exports.default = vue_1.defineComponent({
    name: 'FormItemRow',
    props: formItemRowProps,
    setup() {
        const formItemColInstRef = vue_1.ref(null);
        const validate = ((...args) => {
            const { value } = formItemColInstRef;
            if (value) {
                return value.validate(...args);
            }
        });
        const restoreValidation = () => {
            const { value } = formItemColInstRef;
            if (value) {
                return value.restoreValidation();
            }
        };
        return {
            validate,
            restoreValidation
        };
    },
    render() {
        return vue_1.h(Row_1.default, _utils_1.keep(this.$props, Row_1.rowPropKeys), {
            default: () => {
                const colProps = _utils_1.keep(this.$props, FormItemCol_1.formItemColPropKeys);
                return vue_1.h(FormItemCol_1.default, Object.assign(Object.assign({ ref: 'formItemColRef' }, colProps), { span: 24 }), this.$slots);
            }
        });
    }
});
