"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _mixins_1 = require("../../_mixins");
const input_group_cssr_1 = require("./styles/input-group.cssr");
const inputGroupProps = {};
exports.default = vue_1.defineComponent({
    name: 'InputGroup',
    props: inputGroupProps,
    setup(props) {
        const { mergedClsPrefixRef } = _mixins_1.useConfig(props);
        _mixins_1.useStyle('InputGroup', input_group_cssr_1.default, mergedClsPrefixRef);
        return {
            mergedClsPrefix: mergedClsPrefixRef
        };
    },
    render() {
        const { mergedClsPrefix } = this;
        return vue_1.h("div", { class: `${mergedClsPrefix}-input-group` }, this.$slots);
    }
});
