"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

const cssr_1 = require("../../../_utils/cssr");

const positionStyles = Array.apply(null, {
  length: 24
}).map((_, index) => {
  const prefixIndex = index + 1;
  const percent = (1 / 24 * prefixIndex * 100).toFixed(2) + '%';
  return [cssr_1.cM(`${prefixIndex}-span`, {
    width: percent
  }), cssr_1.cM(`${prefixIndex}-offset`, {
    marginLeft: percent
  }), cssr_1.cM(`${prefixIndex}-push`, {
    left: percent
  }), cssr_1.cM(`${prefixIndex}-pull`, {
    right: percent
  })];
});
exports.default = cssr_1.c([cssr_1.cB('row', {
  width: '100%',
  display: 'flex',
  flexWrap: 'wrap'
}), cssr_1.cB('col', {
  verticalAlign: 'top',
  boxSizing: 'border-box',
  display: 'inline-block',
  position: 'relative',
  zIndex: 'auto'
}, [cssr_1.cE('box', {
  position: 'relative',
  zIndex: 'auto',
  width: '100%',
  height: '100%'
}), positionStyles])]);