"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../../_utils");
const List_1 = require("./List");
exports.default = vue_1.defineComponent({
    name: 'ListItem',
    setup() {
        const listInjection = vue_1.inject(List_1.listInjectionKey, null);
        if (!listInjection) {
            _utils_1.throwError('list-item', '`n-list-item` must be placed in `n-list`.');
        }
        return {
            mergedClsPrefix: listInjection.mergedClsPrefixRef
        };
    },
    render() {
        const { $slots, mergedClsPrefix } = this;
        return (vue_1.h("li", { class: `${mergedClsPrefix}-list-item` },
            $slots.prefix ? (vue_1.h("div", { class: `${mergedClsPrefix}-list-item__prefix` }, vue_1.renderSlot($slots, 'prefix'))) : null,
            $slots.default ? (vue_1.h("div", { class: `${mergedClsPrefix}-list-item__main` }, $slots)) : null,
            $slots.suffix ? (vue_1.h("div", { class: `${mergedClsPrefix}-list-item__suffix` }, vue_1.renderSlot($slots, 'suffix'))) : null));
    }
});
