"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.itemRenderer = void 0;
const vue_1 = require("vue");
const _utils_1 = require("../../_utils");
const MenuOptionGroup_1 = require("./MenuOptionGroup");
const Submenu_1 = require("./Submenu");
const MenuOption_1 = require("./MenuOption");
const groupPropKeys = _utils_1.keysOf(MenuOptionGroup_1.menuItemGroupProps);
const itemPropKeys = _utils_1.keysOf(MenuOption_1.menuItemProps);
const submenuPropKeys = _utils_1.keysOf(Submenu_1.submenuProps);
function itemRenderer(tmNode) {
    const { rawNode, key, level, isGroup } = tmNode;
    const props = Object.assign(Object.assign({}, rawNode), { title: (rawNode.title || rawNode.label), extra: rawNode.titleExtra || rawNode.extra, key, internalKey: key, // since key can't be used as a prop
        level, root: level === 0, isGroup });
    if (tmNode.children) {
        if (tmNode.isGroup) {
            return vue_1.h(MenuOptionGroup_1.default, _utils_1.keep(props, groupPropKeys, { tmNodes: tmNode.children, key }));
        }
        return vue_1.h(Submenu_1.default, _utils_1.keep(props, submenuPropKeys, {
            key,
            rawNodes: tmNode.rawNode.children,
            tmNodes: tmNode.children
        }));
    }
    else {
        return vue_1.h(MenuOption_1.default, _utils_1.keep(props, itemPropKeys, {
            key,
            tmNode
        }));
    }
}
exports.itemRenderer = itemRenderer;
